Bug 1389663 - mock fails when the current working directory name contains spaces.
Summary: mock fails when the current working directory name contains spaces.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 24
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-28 07:12 UTC by Audrey Yeena Toskin
Modified: 2017-01-20 20:47 UTC (History)
6 users (show)

Fixed In Version: mock-1.3.3-1.fc25 mock-1.3.3-1.fc24 mock-1.3.3-1.el7 mock-1.3.3-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-06 07:52:08 UTC
Type: Bug


Attachments (Terms of Use)

Description Audrey Yeena Toskin 2016-10-28 07:12:58 UTC
> pwd

/home/terrycloth/Creating/packaging/GNOME Shell Extensions


> mock --buildsrpm  --spec ./gnome-shell-extension-no-top-left-hot-corner.spec  --sources ./  --resultdir ./builds/

INFO: mock.py version 1.2.21 starting (python version = 3.5.1)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
INFO: Start(./gnome-shell-extension-no-top-left-hot-corner.spec)  Config(fedora-24-x86_64)
Start: clean chroot
Finish: clean chroot
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
Start: unpacking root cache
/usr/bin/stat: cannot read file system information for '/home/terrycloth/Creating/packaging/GNOME': No such file or directory
/usr/bin/stat: cannot read file system information for 'Shell': No such file or directory
/usr/bin/stat: cannot read file system information for 'Extensions': No such file or directory

Comment 1 Audrey Yeena Toskin 2016-12-19 02:35:41 UTC
I have upgraded to mock 1.3.2 and Fedora 25.

mock still complains when the current working directory name contains spaces, though now it seems to finish building the RPMs anyway.


$ pwd

/home/terrycloth/Creating/packaging/Activities Configurator


$ mock --buildsrpm  --spec ./gnome-shell-extension-activities-configurator.spec  --sources ./  --resultdir ./  --no-clean

INFO: mock.py version 1.3.2 starting (python version = 3.5.2)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
INFO: Start(./gnome-shell-extension-activities-configurator.spec)  Config(fedora-25-x86_64)
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
Mock Version: 1.3.2
INFO: Mock Version: 1.3.2
Finish: chroot init
Start: buildsrpm
Start: rpmbuild -bs
Building target platforms: x86_64
Building for target x86_64
Wrote: /builddir/build/SRPMS/gnome-shell-extension-activities-configurator-52-1.fc25.src.rpm
Finish: rpmbuild -bs
Finish: buildsrpm
INFO: Done(./gnome-shell-extension-activities-configurator.spec) Config(default) 0 minutes 6 seconds
INFO: Results and/or logs in: ./
INFO: Cleaning up build root ('cleanup_on_success=True')
Start: clean chroot
Finish: clean chroot
Finish: run
INFO: mock.py version 1.3.2 starting (python version = 3.5.2)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
INFO: Start(./gnome-shell-extension-activities-configurator-52-1.fc24.src.rpm)  Config(fedora-25-x86_64)
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
Start: unpacking root cache
/usr/bin/stat: cannot read file system information for '/home/terrycloth/Creating/packaging/Activities': No such file or directory
/usr/bin/stat: cannot read file system information for 'Configurator': No such file or directory
Finish: unpacking root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata

Comment 2 Miroslav Suchý 2016-12-30 19:50:37 UTC
Fixed in commit d53dc95

Comment 3 Fedora Update System 2017-01-01 12:25:29 UTC
mock-1.3.3-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1c15f1fddc

Comment 4 Fedora Update System 2017-01-01 12:26:02 UTC
mock-1.3.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5947ef9fd1

Comment 5 Fedora Update System 2017-01-01 12:26:34 UTC
mock-1.3.3-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-77cb570c74

Comment 6 Fedora Update System 2017-01-01 12:27:06 UTC
mock-1.3.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-3b5bb282f4

Comment 7 Fedora Update System 2017-01-02 00:46:39 UTC
mock-1.3.3-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1c15f1fddc

Comment 8 Fedora Update System 2017-01-02 00:48:22 UTC
mock-1.3.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-3b5bb282f4

Comment 9 Fedora Update System 2017-01-02 01:20:07 UTC
mock-1.3.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-77cb570c74

Comment 10 Fedora Update System 2017-01-02 01:50:24 UTC
mock-1.3.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5947ef9fd1

Comment 11 Fedora Update System 2017-01-06 07:52:08 UTC
mock-1.3.3-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-01-09 01:20:58 UTC
mock-1.3.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-01-16 17:22:02 UTC
mock-1.3.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-01-20 20:47:52 UTC
mock-1.3.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.